Catmandu::Exporter::XLS(3pm)

NAME
Catmandu::Exporter::XLS - Package that exports XLS files

SYNOPSIS
    # On the command line
    $ printf "a,b,c\n1,2,3" | catmandu convert CSV to XLS --file test.xls
    $ printf "a,b,c\n1,2,3" | catmandu convert CSV to XLS --file test.xls --header 0
    $ printf "a,b,c\n1,2,3" | catmandu convert CSV to XLS --file test.xls --fields a,c
    $ printf "a,b,c\n1,2,3" | catmandu convert CSV to XLS --file test.xls --fields a,c --columns ALPHA,CHARLIE

    # Or in Perl
    use Catmandu::Exporter::XLS;

    my $exporter = Catmandu::Exporter::XLS->new(
                file => 'test.xls',
                fields => 'a,b,c',
                columns => 'ALPHA,BRAVO,CHARLIE',
                header => 1);

    $exporter->add({a => 1, b => 2, c => 3});
    $exporter->add_many($arrayref);

    $exporter->commit;

    printf "exported %d objects\n" , $exporter->count;

DESCRIPTION
Catmandu exporter for Excel XLS files.

METHODS
See Catmandu::Exporter, Catmandu::Addable, Catmandu::Fixable, Catmandu::Counter, and Catmandu::Logger for a full list of methods.

CONFIGURATION
In addition to the configuration provided by Catmandu::Exporter ("file", "fh", etc.) the importer can be configured with the following parameters:

header
    Include a header line with column names, if set to 1 (default).

fields
    List of fields to be used as columns, given as array reference or comma-separated string

columns
    List of custom column names, given as array reference or comma-separated list.

collect_fields
    This option will first read the complete stream to create a complete list of fields to export. When this option is not set, only the fields of the first record (or the ones provided in the "fields" option will be exported).

SEE ALSO
Catmandu::Exporter::CSV, Catmandu::Exporter::XLSX.